Subject: Re: bug#24213: 25.1.50; Fishy use of delete-window in register.el

From: [email-masked]
Date: Sat, 13 Aug 2016 08:44:54 -0400

martin rudalics <[email-masked]> writes:

>> Maybe the documentation of delte-window should be amended, stating that
>> it is almost always preferable to use quit-window instead;
>
> ‘delete-window’ is primarily a command bound to C-x 0.  It should be
> used only sparingly in Elisp code.  Nevertheless, I think that any
> advice to use ‘quit-window’ instead should go to the ‘display-buffer’
> group functions because ‘quit-window’ (now) inherently belongs there.

Wouldn't it then make sense to add the usual "if you are thinking of
using this function from Lisp code, it's probably a mistake, try
`quit-window' instead" warning to the delete-window's docstring?

(also, doc fixes should go to emacs-25, right?)